// variables & mixings
@import "variables"; // fonts
@font-face {
  font-family: "sourcesans-regular";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.svg#sourcesans-regular")
      format("svg");
}
@font-face {
  font-family: "sourcesans-semibold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.svg#sourcesans-semibold")
      format("svg");
}
@font-face {
  font-family: "sourcesans-bold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.svg#sourcesans-bold")
      format("svg");
}
@font-face {
  font-family: "sourcesans-light";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.svg#sourcesans-light")
      format("svg");
}
@font-face {
  font-family: "opensans-regular";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.svg#opensans-regular")
      format("svg");
}
@font-face {
  font-family: "opensans-semibold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.svg#opensans-semibold")
      format("svg");
}
@font-face {
  font-family: "opensans-bold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.svg#opensans-bold")
      format("svg");
}
@font-face {
  font-family: "cern-icons";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.svg#cern-icons")
      format("svg");
}
//
.component-preview-cards
  .preview-card__author
  a:not(:last-child):not(:nth-last-child(2)) {
  &:after {
    content: ", ";
  }
}

.component-preview-cards .preview-card__author a:nth-last-child(2) {
  &:after {
    content: " & ";
  }
}
// preview card // article box
.component-preview-cards {
  @include flexbox;
  @include font-size(1.4);
  font-family: "sourcesans-regular";
  position: relative;
  min-height: 210px;
  float: left;
  vertical-align: top;
  max-width: 100%;
  padding: 30px 40px;
  /* background-image: url(../images/cern.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: auto 70%; */

  .box-link {
    z-index: 100;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

  &__box_wrapper {
    @include flexbox;
    @include align-items(center);
    @include justify-content(flex-end);
    @include flex-flow(column);
    position: relative;
    z-index: 10;
    height: 150px;
    width: 100%;

    .preview-card__avatar {
      width: 65px !important;
      height: 65px !important;
      min-height: 0;
      background: #999999;
      border-radius: 100%;
      padding: 0;
      margin-bottom: 10px;
    }
  }

  &__box {
    @include align-self(flex-end);
    width: 100%;
  }

  .component-preview-cards__category-icon-vocabulary {
    margin: 0 auto;
    text-align: center;

    & ~ .preview-card {
      &__title {
        h3 {
          a {
            span {
              display: inline-block;
              white-space: normal;
              overflow: hidden;
              text-overflow: ellipsis;
            }
          }
        }
      }
    }

    &:before {
      content: attr(data-icon);
      text-shadow: 0px 0px 0.8px black, 0px 0px 0.8px black, 0px 0px 0.8px black,
        0px 0px 0.8px black, 0 0 0.8px black;
      color: white;
      font-family: "cern-icons";
      -moz-osx-font-smoothing: grayscale;
      -webkit-font-smoothing: antialiased;
      display: block;
      font-size: 60px;
      position: relative;
      top: -10px;
    }
  }

  .component-preview-cards__category-icon-vocabulary + .preview-card {
    &__title {
      h3 {
        a {
          span {
            //white-space: nowrap;
            //overflow: hidden;
            //text-overflow: ellipsis;
          }
        }
      }
    }
  }

  .preview-card {
    width: 100%;

    &__title {
      margin: 0;

      h3 {
        @include font-size(2);
        font-family: "sourcesans-semibold";
        line-height: 26px !important;
        padding: 0;
        margin: 0;
        display: block;
        width: 100%;

        a {
          display: block !important;
          position: relative;
          line-height: 26px !important;
          text-shadow: 0px 0px 0.8px black, 0px 0px 0.8px black,
            0px 0px 0.8px black, 0px 0px 0.8px black, 0 0 0.8px black;

          span {
            //display: block;
            width: 100%;
            //white-space: normal;
            //overflow: hidden;
            //text-overflow: ellipsis;
          }

          &:hover {
            text-decoration: none;
          }

          &:before {
            content: "\j";
            @include font-size(4);
            @include transition(all 0.6s ease-in-out 0s);
            font-family: "cern-icons";
            -moz-osx-font-smoothing: grayscale;
            -webkit-font-smoothing: antialiased;
            display: inline-block;
            vertical-align: bottom;
            position: absolute;
            top: -2px;
            left: -10px;
            line-height: 25px;
            width: 12px;
            text-indent: -25px;
          }

          &.hovered {
            &:before {
              left: 0;
            }
          }
        }
      }
    }

    &__subtext {
      font-family: "sourcesans-light";
      min-height: 18px;
      height: 18px;
    }

    &__author,
    &__category,
    &__date {
      text-shadow: 0px 0px 0.8px black, 0px 0px 0.8px black, 0px 0px 0.8px black,
        0px 0px 0.8px black, 0 0 0.8px black;
      font-family: "sourcesans-light";
      @include font-size(1.4);
      display: inline-block;

      &:not(:last-child) {
        margin-right: 10px;

        &:after {
          content: "|";
          display: inline-block;
          position: relative;
          right: -6px;
          top: -1px;
        }
      }

      a {
        color: white;
        text-decoration: none;

        &:hover {
          color: white;
          text-decoration: none;
        }
      }
    }
  }
  //
  // display
  &.portrait {
    width: calc(33.3% - 8px);
    min-height: 428px;
    margin: 4px;

    .component-preview-cards__box_wrapper {
      height: 368px;
    }
    @media screen and (max-width: 991px) {
      width: calc(50% - 8px);
    }
    @media screen and (max-width: 767px) {
      margin: 4px 0;
      min-height: 210px;
      width: 100%;

      .component-preview-cards__box_wrapper {
        height: 150px;
      }
    }

    &:hover {
      .component-preview-cards__veil {
        opacity: 0;
      }
    }
  }

  &.simple-display {
    width: calc(33.3% - 8px);
    min-height: 210px;
    margin: 4px;
    @media screen and (max-width: 991px) {
      width: calc(50% - 8px);
    }
    @media screen and (max-width: 767px) {
      margin: 4px 0;
      width: 100%;
    }

    &:hover {
      .component-preview-cards__veil {
        opacity: 0;
      }
    }
  }

  &.portrait.box-force-full-width {
    width: calc(100% - 8px);
    min-height: 428px;
    margin: 4px;
    @media screen and (max-width: 991px) {
      width: calc(100% - 8px);
    }
    @media screen and (max-width: 767px) {
      margin: 4px 0;
      width: 100%;
    }

    &:hover {
      .component-preview-cards__veil {
        opacity: 0;
      }
    }
  }

  &.simple-display.box-force-full-width,
  &:not(.portrait):not(.simple-display) {
    width: calc(100% - 8px);
    min-height: 210px;
    margin: 4px;
    @media screen and (max-width: 991px) {
      width: calc(100% - 8px);
    }
    @media screen and (max-width: 767px) {
      margin: 4px 0;
      width: 100%;
    }

    &:hover {
      .component-preview-cards__veil {
        opacity: 0;
      }
    }
  }
  //
  // others
  .material-icons {
    display: none;
  }

  &__icon.video {
    font-family: "Material Icons";
    width: 30px;
    height: 30px;
    margin: auto;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 1;

    .type_video {
      @include font-size(5);
      display: block;
    }
  }

  &__icon.image {
    font-family: "Material Icons";
    width: 30px;
    height: 30px;
    margin: auto;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 1;

    .type_image {
      @include font-size(5);
      display: block;
    }
  }
  //
  // veil
  &__veil {
    @include transition(all 0.4s ease-in-out 0s);
    @include background-gradient(
      $startColor: rgba(0, 0, 0, 0),
      $endColor: rgba(0, 0, 0, 0.9)
    );
    position: absolute;
    height: 101%;
    width: 101%;
    top: 0;
    left: 0;
    z-index: 0;
  }
  //
  // others
  *,
  *::after,
  *::before {
    box-sizing: border-box;
  }
}
// SIDEBARS
.component-row__sidebar-left,
.component-row__sidebar-right {
  .component-preview-cards {
    &.portrait {
      margin: 4px 4px 4px 0;
      width: 100%;
      min-height: 210px;

      .component-preview-cards__box_wrapper {
        height: 150px;
      }
      @media screen and (max-width: 991px) {
        margin: 4px;
        width: calc(100% - 8px);
      }
      @media screen and (max-width: 767px) {
        margin: 4px 0;
        width: 100%;
      }
    }

    &.simple-display {
      margin: 4px 4px 4px 0;
      width: 100%;
      min-height: 210px;

      .component-preview-cards__box_wrapper {
        height: 150px;
      }
      @media screen and (max-width: 991px) {
        margin: 4px;
        width: calc(100% - 8px);
      }
      @media screen and (max-width: 767px) {
        margin: 4px 0;
        width: 100%;
      }
    }

    &:not(.portrait):not(.simple-display) {
      margin: 4px 4px 4px 0;
      width: 100%;
      min-height: 210px;

      .component-preview-cards__box_wrapper {
        height: 150px;
      }
      @media screen and (max-width: 991px) {
        margin: 4px;
        width: calc(100% - 8px);
      }
      @media screen and (max-width: 767px) {
        margin: 4px 0;
        width: 100%;
      }
    }
  }
}
// preview cards animation
@media screen and (min-width: 992px) {
  .component-row.box-effects .component-row__center {
    .component-preview-cards {
      @include transition(all 0.4s ease-in-out 0s); // display

      &.portrait {
        width: calc(33.3% - 38px);
        @media screen and (max-width: 991px) {
          width: calc(50% - 38px);
        }
        @media screen and (max-width: 767px) {
          width: 100% !important;
        }

        &.from-smaller {
          @include transition(all 0.4s ease-in-out 0s);
        }

        &.from-bigger,
        &.from-bigger.from-smaller {
          @include transition(all 0.4s ease-in-out 0s);
        }

        &.make-bigger {
          @include transition(all 0.4s ease-in-out 0s);
          width: calc(43.3% - 38px) !important;
        }

        &.make-smaller {
          @include transition(all 0.4s ease-in-out 0s);
          width: calc(23.3% - 38px) !important;
        }

        &:hover {
          .component-preview-cards__veil {
            opacity: 0;
          }
        }
      }

      &.simple-display {
        width: calc(33.3% - 38px);
        @media screen and (max-width: 991px) {
          width: calc(50% - 38px);
        }
        @media screen and (max-width: 767px) {
          width: 100% !important;
        }

        &.from-smaller {
          @include transition(all 0.4s ease-in-out 0s);
        }

        &.from-bigger,
        &.from-bigger.from-smaller {
          @include transition(all 0.4s ease-in-out 0s);
        }

        &.make-bigger {
          @include transition(all 0.4s ease-in-out 0s);
          width: calc(43.3% - 38px) !important;
        }

        &.make-smaller {
          @include transition(all 0.4s ease-in-out 0s);
          width: calc(23.3% - 38px) !important;
        }

        &:hover {
          .component-preview-cards__veil {
            opacity: 0;
          }
        }
      }

      &.portrait.box-force-full-width,
      &.simple-display.box-force-full-width,
      &:not(.portrait):not(.simple-display) {
        width: calc(100% - 98px);
        @media screen and (max-width: 991px) {
          width: calc(100% - 98px);
        }
        @media screen and (max-width: 767px) {
          width: 100% !important;
        }

        &:hover {
          .component-preview-cards__veil {
            opacity: 0;
          }
        }
      }
    }
  }
}
